Este artículo describe al instalador web de Microsoft.NET Framework 4.7 para Windows 7 Service Pack 1 (SP1), Windows 8.1, Windows 10 aniversario Update (versión 1607), 2016 de Windows Server, Windows Server 2008 R2 SP1, Windows Server 2012 y R2 de Windows Server 2012.

Sobre el.NET Framework 4.7

El 4.7 de.NET Framework es una actualización muy compatible y en el lugar de la de.NET Framework 4, 4.5, 4.5.1, 4.5.2, 4.6, 4.6.1 y 4.6.2.

El instalador de web es un paquete pequeño que determina automáticamente y descarga únicamente los componentes que se aplican a una plataforma en particular. El programa de instalación web también instala el paquete de idioma que coincide con el idioma del sistema operativo del usuario.

Puede utilizarse el paquete sin conexión cuando no se puede utilizar el programa de instalación web debido a la falta de conectividad a Internet. Este paquete es mayor que el programa de instalación web y no incluye los paquetes de idioma.

Al instalar este paquete, puede ver después de paquetes o actualizaciones que se instalan, dependiendo del sistema operativo:

  • En Windows 7 con SP1 y Windows Server 2008 R2 SP1, el Microsoft.NET Framework 4.7 se muestra como un producto instalado en el elemento programas y características en el Panel de Control.

  • En Windows Server 2012, aparece como la actualización para Microsoft Windows (KB3186505) en el elemento de Actualizaciones instaladas en el Panel de Control.

  • En Windows 8.1 o R2 de Windows Server 2012, aparece como la actualización para Microsoft Windows (KB3186539) en el elemento de Actualizaciones instaladas en el Panel de Control.

  • 10 Windows versión 1607, aparece como la actualización para Microsoft Windows (KB3186568) en el elemento de Actualizaciones instaladas en el Panel de Control.

Nota:

Las características de.NET Framework 4.7 WPF depende de D3DCompiler_47.dll. De forma predeterminada, este D3DCompiler_47.dll no está presente en el SP1 de Windows 7, Windows 2008 R2 SP1 o Windows 2012. Por lo tanto, estas plataformas requieren D3DCompiler_47.dll para la instalación de las características de WPF 4.7 de.NET Framework para funcionar como se esperaba. Para obtener información de instalación de D3DCompiler_47.dll, consulte los problemas conocidos.

Información de descarga

Los archivos siguientes están disponibles para su descarga desde Centro de descarga de Microsoft:

DownloadDescargar ahora el paquete del instalador web de Microsoft.NET Framework 4.7.

Para la 4.7 (instalador Offline) de.NET Framework:

DownloadDescargue ahora el paquete de instalador sin conexión de Microsoft.NET Framework 4.7.

Para obtener más información acerca de cómo descargar archivos de soporte técnico de Microsoft, consulte Cómo obtener archivos de soporte técnico de Microsoft desde los servicios en línea .

Microsoft analizó este archivo en busca de virus. Microsoft ha utilizado el software de detección de virus más reciente que estaba disponible en la fecha en que se publicó el archivo. El archivo se almacena en servidores seguros que ayudan a evitar cambios no autorizados en el archivo.

Más información

Para obtener más información acerca de la 4.7 de.NET Framework, vea problemas conocidos de la 4.7 de.NET Framework .

Esta versión del.NET Framework ejecuciones en paralelo con el.NET Framework 3.5 SP1 y versiones anteriores, pero se realiza una actualización en contexto para el 4 de.NET Framework, el.NET Framework 4.5, el.NET Framework 4.5.1, el.NET Framework 4.5.2, la 4.6 de.NET Framework, el.NET Framework 4.6.1 y el.NET Framework 4.6.2.

Modificadores de línea de comandos para esta actualización

Para obtener información sobre las diversas opciones de línea de comandos que admite esta actualización, consulte la sección "Opciones de línea de comandos" en la Guía de implementación de.NET Framework para desarrolladores .

Requisito de reinicio

Tendrá que reiniciar el equipo después de instalar este software si se utilizan los archivos afectados. Se recomienda que cierre todas las aplicaciones que utilizan el.NET Framework antes de aplicar esta actualización.

Se aplica a

El.NET Framework 4.7 (instalador Web) admite los siguientes sistemas operativos:

  • Windows Server 2016 (x 64)

  • Windows Server 2012 R2 (x 64)

  • Windows Server 2012 (x 64)

  • Windows Server 2008 R2 Service Pack 1 (x 64)

  • Windows 10 versión 1607 (x86 y x64)

  • Windows 8.1 (x86 y x64)

  • Windows 7 Service Pack 1 (x86 y x64)

¿Necesita más ayuda?

Ampliar sus conocimientos
Explorar los cursos
Obtener nuevas características primero
Unirse a Microsoft Insider

¿Le ha sido útil esta información?

¿Cómo de satisfecho está con la calidad de la traducción?
¿Qué ha afectado a tu experiencia?

¡Gracias por sus comentarios!

×